petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatTransColoringApplySpToDen

Given a symbolic matrix product C=A*B^T for which a MatTransposeColoring context has been created, computes a dense B^T by Apply MatTransposeColoring to sparse B.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransColoringApplySpToDen(MatTransposeColoring coloring,Mat B,Mat Btdense)

Collective on MatTransposeColoring

### Input Parameters

| B | - sparse matrix B
| Btdense | - symbolic dense matrix B^T
| coloring | - coloring context created with MatTransposeColoringCreate()

### Output Parameter

Btdense -dense matrix B^T

### Notes

These are used internally for some implementations of MatRARt()

### See Also

MatTransposeColoringCreate(), MatTransposeColoringDestroy(), MatTransColoringApplyDenToSp()

### Keywords

coloring

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatTransColoringApplySpToDen_SeqAIJ in src/mat/impls/aij/seq/matmatmult.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages